Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class ContractAutopaymentMode.ContractAutopaymentModePeriodic

java.lang.Object
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode.ContractAutopaymentModePeriodic

Enclosing class:
  `ContractAutopaymentMode`

public static class ContractAutopaymentMode.ContractAutopaymentModePeriodic extends ContractAutopaymentMode

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

  `ContractAutopaymentMode.ContractAutopaymentModeAuto, ContractAutopaymentMode.ContractAutopaymentModePeriodic`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAutopaymentModePeriodic()`
  `ContractAutopaymentModePeriodic(AutopaymentMode mode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDay()`
  `BigDecimal`
  `getSum()`
  `BigDecimal`
  `getSumMax()`
  `BigDecimal`
  `getSumMin()`
  `ContractAutopaymentMode.ContractAutopaymentModePeriodic`
  `setDay(int day)`
  `ContractAutopaymentMode.ContractAutopaymentModePeriodic`
  `setSum(BigDecimal sumDefault)`
  `ContractAutopaymentMode.ContractAutopaymentModePeriodic`
  `setSumMax(BigDecimal sumMax)`
  `ContractAutopaymentMode.ContractAutopaymentModePeriodic`
  `setSumMin(BigDecimal sumMin)`
  `void`
  `toAutopayment(Autopayment autopayment)`
  `String`
  `toData()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

  `fromAutopayment, getContractAutopaymentMode, getMode, setMode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAutopaymentModePeriodic

    public ContractAutopaymentModePeriodic()

  - ### ContractAutopaymentModePeriodic

    public ContractAutopaymentModePeriodic(AutopaymentMode mode)

- ## Method Details

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public ContractAutopaymentMode.ContractAutopaymentModePeriodic setSum(BigDecimal sumDefault)

  - ### getDay

    public int getDay()

  - ### setDay

    public ContractAutopaymentMode.ContractAutopaymentModePeriodic setDay(int day)

  - ### getSumMin

    public BigDecimal getSumMin()

  - ### setSumMin

    public ContractAutopaymentMode.ContractAutopaymentModePeriodic setSumMin(BigDecimal sumMin)

  - ### getSumMax

    public BigDecimal getSumMax()

  - ### setSumMax

    public ContractAutopaymentMode.ContractAutopaymentModePeriodic setSumMax(BigDecimal sumMax)

  - ### toData

    public String toData()
    Overrides:
      `toData` in class `ContractAutopaymentMode`

  - ### toAutopayment

    public void toAutopayment(Autopayment autopayment)
    Overrides:
      `toAutopayment` in class `ContractAutopaymentMode`